{
	"configurations" : 
	[
		{
			"directories" : 
			[
				{
					"build" : ".",
					"childIndexes" : 
					[
						1
					],
					"jsonFile" : "directory-.-d0094a50bb2071803777.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"projectIndex" : 0,
					"source" : ".",
					"targetIndexes" : 
					[
						14,
						15,
						16,
						18,
						19,
						20,
						21,
						27,
						28,
						29,
						30,
						31,
						34,
						35,
						36,
						37,
						38
					]
				},
				{
					"build" : "esp-idf",
					"childIndexes" : 
					[
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						14,
						15,
						16,
						17,
						18,
						19,
						20,
						21
					],
					"jsonFile" : "directory-esp-idf-edb31f0d64ce630ad11e.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 0,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6"
				},
				{
					"build" : "esp-idf/xtensa",
					"jsonFile" : "directory-esp-idf.xtensa-9116c0e996f5896471c5.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/xtensa",
					"targetIndexes" : 
					[
						13
					]
				},
				{
					"build" : "esp-idf/newlib",
					"jsonFile" : "directory-esp-idf.newlib-9dc1a33c84a63bbaaed0.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/newlib"
				},
				{
					"build" : "esp-idf/soc",
					"jsonFile" : "directory-esp-idf.soc-55fda2c644bd5ed531be.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/soc",
					"targetIndexes" : 
					[
						11
					]
				},
				{
					"build" : "esp-idf/micro-ecc",
					"jsonFile" : "directory-esp-idf.micro-ecc-b84f620316c40fe9b692.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "components/micro-ecc",
					"targetIndexes" : 
					[
						10
					]
				},
				{
					"build" : "esp-idf/hal",
					"jsonFile" : "directory-esp-idf.hal-07e15e1a946bb94a6b74.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/hal",
					"targetIndexes" : 
					[
						7
					]
				},
				{
					"build" : "esp-idf/spi_flash",
					"jsonFile" : "directory-esp-idf.spi_flash-e7dde3901e82100612d5.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/spi_flash",
					"targetIndexes" : 
					[
						12
					]
				},
				{
					"build" : "esp-idf/esp_app_format",
					"jsonFile" : "directory-esp-idf.esp_app_format-80b9a889e0124ad0b0aa.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_app_format",
					"targetIndexes" : 
					[
						2
					]
				},
				{
					"build" : "esp-idf/bootloader_support",
					"jsonFile" : "directory-esp-idf.bootloader_support-3a6006cacae58ba515c2.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/bootloader_support",
					"targetIndexes" : 
					[
						0
					]
				},
				{
					"build" : "esp-idf/efuse",
					"jsonFile" : "directory-esp-idf.efuse-1bcbdb356f9f379d21b8.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/efuse",
					"targetIndexes" : 
					[
						1,
						22,
						23,
						24,
						25,
						26,
						32,
						33
					]
				},
				{
					"build" : "esp-idf/esp_system",
					"jsonFile" : "directory-esp-idf.esp_system-1e08bf1e67408bfe4df1.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system",
					"targetIndexes" : 
					[
						6
					]
				},
				{
					"build" : "esp-idf/esp_hw_support",
					"childIndexes" : 
					[
						13
					],
					"jsonFile" : "directory-esp-idf.esp_hw_support-795e67e218f5bd9bee22.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support",
					"targetIndexes" : 
					[
						4
					]
				},
				{
					"build" : "esp-idf/esp_hw_support/port/esp32s2",
					"jsonFile" : "directory-esp-idf.esp_hw_support.port.esp32s2-99bc372b11d9f72a5aa3.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 12,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/port/esp32s2"
				},
				{
					"build" : "esp-idf/esp_common",
					"jsonFile" : "directory-esp-idf.esp_common-d0a58f44f5a83645aa5c.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_common",
					"targetIndexes" : 
					[
						3
					]
				},
				{
					"build" : "esp-idf/esp_rom",
					"jsonFile" : "directory-esp-idf.esp_rom-29604677ddb1a88f2c47.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom",
					"targetIndexes" : 
					[
						5
					]
				},
				{
					"build" : "esp-idf/log",
					"jsonFile" : "directory-esp-idf.log-ae6490b62fdb19881988.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/log",
					"targetIndexes" : 
					[
						8
					]
				},
				{
					"build" : "esp-idf/esptool_py",
					"jsonFile" : "directory-esp-idf.esptool_py-101b8a4a5a7b3cb04641.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esptool_py",
					"targetIndexes" : 
					[
						17
					]
				},
				{
					"build" : "esp-idf/partition_table",
					"jsonFile" : "directory-esp-idf.partition_table-1d74113b2bcde061baf2.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/partition_table"
				},
				{
					"build" : "esp-idf/bootloader",
					"jsonFile" : "directory-esp-idf.bootloader-a22518a1ecd3b66403bc.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/bootloader"
				},
				{
					"build" : "esp-idf/freertos",
					"jsonFile" : "directory-esp-idf.freertos-e2aee8743fb573e60d9a.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos"
				},
				{
					"build" : "esp-idf/main",
					"jsonFile" : "directory-esp-idf.main-5bff74fee2a922659b4e.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "main",
					"targetIndexes" : 
					[
						9
					]
				}
			],
			"name" : "",
			"projects" : 
			[
				{
					"childIndexes" : 
					[
						1
					],
					"directoryIndexes" : 
					[
						0
					],
					"name" : "bootloader",
					"targetIndexes" : 
					[
						14,
						15,
						16,
						18,
						19,
						20,
						21,
						27,
						28,
						29,
						30,
						31,
						34,
						35,
						36,
						37,
						38
					]
				},
				{
					"directoryIndexes" : 
					[
						1,
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						13,
						14,
						15,
						16,
						17,
						18,
						19,
						20,
						21
					],
					"name" : "esp-idf",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						0,
						1,
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						13,
						17,
						22,
						23,
						24,
						25,
						26,
						32,
						33
					]
				}
			],
			"targets" : 
			[
				{
					"directoryIndex" : 9,
					"id" : "__idf_bootloader_support::@d88583f91142925c6676",
					"jsonFile" : "target-__idf_bootloader_support-fe00a270d153bd9e67dc.json",
					"name" : "__idf_bootloader_support",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 10,
					"id" : "__idf_efuse::@2da764c922f8b73e9c75",
					"jsonFile" : "target-__idf_efuse-82e8cc36a1e5da1a1b9e.json",
					"name" : "__idf_efuse",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 8,
					"id" : "__idf_esp_app_format::@08c2bdce7fd85cdbea06",
					"jsonFile" : "target-__idf_esp_app_format-4633da35e02bfe0a3f52.json",
					"name" : "__idf_esp_app_format",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 14,
					"id" : "__idf_esp_common::@5ba0aac035ae9b4e20a4",
					"jsonFile" : "target-__idf_esp_common-20f397e957a5a2e3eb30.json",
					"name" : "__idf_esp_common",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 12,
					"id" : "__idf_esp_hw_support::@ce4791f5a7554c569ddb",
					"jsonFile" : "target-__idf_esp_hw_support-58327abb5fba7c3840ea.json",
					"name" : "__idf_esp_hw_support",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 15,
					"id" : "__idf_esp_rom::@c269e361cd87ad81e927",
					"jsonFile" : "target-__idf_esp_rom-cf2aa5649cef64a82a83.json",
					"name" : "__idf_esp_rom",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 11,
					"id" : "__idf_esp_system::@874df54e61e20112dfd4",
					"jsonFile" : "target-__idf_esp_system-6e7d46553bfc39c58bc1.json",
					"name" : "__idf_esp_system",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 6,
					"id" : "__idf_hal::@41c1a00f56cd1e9ede18",
					"jsonFile" : "target-__idf_hal-f7f5c367d50bc0c4e881.json",
					"name" : "__idf_hal",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 16,
					"id" : "__idf_log::@d5e1aa0ef4e3c98c8a70",
					"jsonFile" : "target-__idf_log-8a5f186d689b08b49fe6.json",
					"name" : "__idf_log",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 21,
					"id" : "__idf_main::@7368607ed66887415643",
					"jsonFile" : "target-__idf_main-97c306d63ecd231df321.json",
					"name" : "__idf_main",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 5,
					"id" : "__idf_micro-ecc::@37158dc68a69c79f835a",
					"jsonFile" : "target-__idf_micro-ecc-d2a5df7f9616901f5edc.json",
					"name" : "__idf_micro-ecc",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 4,
					"id" : "__idf_soc::@824f1541829f13857909",
					"jsonFile" : "target-__idf_soc-ec72a67a3cbdc8866e9e.json",
					"name" : "__idf_soc",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 7,
					"id" : "__idf_spi_flash::@6f8a8c72478269b2cd60",
					"jsonFile" : "target-__idf_spi_flash-059da4009ca116fda904.json",
					"name" : "__idf_spi_flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 2,
					"id" : "__idf_xtensa::@1daaaad7abe597e030f9",
					"jsonFile" : "target-__idf_xtensa-3987f5c25dbcd9c9579f.json",
					"name" : "__idf_xtensa",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "_project_elf_src::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-_project_elf_src-0ee77251f9e58728073d.json",
					"name" : "_project_elf_src",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "app::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-app-a579bb2e3b97d4125936.json",
					"name" : "app",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "bootloader.elf::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-bootloader.elf-b6cd9a1289e17af6ddd2.json",
					"name" : "bootloader.elf",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 17,
					"id" : "bootloader_check_size::@bf8f55be585a12323665",
					"jsonFile" : "target-bootloader_check_size-ab82b4420f9944f0bb25.json",
					"name" : "bootloader_check_size",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "confserver::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-confserver-2aae4cf9eabf169d64f7.json",
					"name" : "confserver",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "dfu::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-dfu-6368f81a2c4583f05c39.json",
					"name" : "dfu",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "dfu-flash::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-dfu-flash-f049d3758b9c60c1ded6.json",
					"name" : "dfu-flash",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "dfu-list::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-dfu-list-d9737ef5a149fc168cf9.json",
					"name" : "dfu-list",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 10,
					"id" : "efuse-common-table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse-common-table-59114023117827e2345f.json",
					"name" : "efuse-common-table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 10,
					"id" : "efuse-custom-table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse-custom-table-383cc9611f8d0ef2a530.json",
					"name" : "efuse-custom-table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 10,
					"id" : "efuse_common_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse_common_table-2b54f3a88891b8651989.json",
					"name" : "efuse_common_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 10,
					"id" : "efuse_custom_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse_custom_table-3f076b372048446a299a.json",
					"name" : "efuse_custom_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 10,
					"id" : "efuse_test_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse_test_table-ef6c8ded226a7ed1dd6b.json",
					"name" : "efuse_test_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "erase_flash::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-erase_flash-1433a6b159d430e31e6e.json",
					"name" : "erase_flash",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "gen_project_binary::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-gen_project_binary-379d61384cd7ab65bfc6.json",
					"name" : "gen_project_binary",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "menuconfig::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-menuconfig-cf13bbd1ca51854446e6.json",
					"name" : "menuconfig",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "monitor::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-monitor-0777e509ec0fd4223730.json",
					"name" : "monitor",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "save-defconfig::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-save-defconfig-f294cebfada12340354f.json",
					"name" : "save-defconfig",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 10,
					"id" : "show-efuse-table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-show-efuse-table-cdceba8032f2145c0ed5.json",
					"name" : "show-efuse-table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 10,
					"id" : "show_efuse_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-show_efuse_table-cdf85b81583b0e96d3eb.json",
					"name" : "show_efuse_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "size::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-size-28d7a30cd59f6540b10a.json",
					"name" : "size",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "size-components::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-size-components-a971ae0922b733e86d81.json",
					"name" : "size-components",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "size-files::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-size-files-1cf535e70a6e14db05ca.json",
					"name" : "size-files",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "uf2::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-uf2-da1b812813b58145a502.json",
					"name" : "uf2",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "uf2-app::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-uf2-app-90375352bdba4e131398.json",
					"name" : "uf2-app",
					"projectIndex" : 0
				}
			]
		}
	],
	"kind" : "codemodel",
	"paths" : 
	{
		"build" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/build/esp32s2/bootloader",
		"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/bootloader/subproject"
	},
	"version" : 
	{
		"major" : 2,
		"minor" : 3
	}
}
